> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wearepion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Profiles

## **Request**

Once you have an access token for a user, you can make an HTTP GET request to our API to retrieve their verification information, including that access token. We have two options for authenticating this request.

If you configured an OAuth 2 client in [**the previous step**](/documentation/verify-your-customers/student-beans-sso/authorisation) that automatically authenticates API requests with the access token it obtained, you should check that it is configured to use one of the methods listed here.

<Tabs>
  <Tab title="Authorisation Header (recommended)">
    ```
    GET https://accounts.studentbeans.com/api/v3/me.json
    ```

    Including HTTP header:

    ```
    Authorization: Bearer ACCESS_TOKEN
    ```

    Note the domain: `accounts.studentbeans.com`.
  </Tab>

  <Tab title="Query Parameter">
    ```
    GET https://accounts.studentbeans.com/api/v3/me.json?access_token=ACCESS_TOKEN
    ```

    Note the domain: `accounts.studentbeans.com`.
  </Tab>
</Tabs>

## **Response**

You will receive a JSON-formatted response on success, and an empty HTTP response with an appropriate status code in case of error, examples of which are below.

<Tabs>
  <Tab title="Verified (one super group)">
    The user has an active verification in one group.

    ```
    {
      "sbid_number": "ABC45FG",
      "verifications": [
        {
            "group": "key-worker",
            "expires_on": "2026-03-18"
        }
      ]
    }
    ```
  </Tab>

  <Tab title="Verified (several supergroups)">
    The user has active verifications in more than one group.

    ```
    {
      "sbid_number": "ABC45FG",
      "verifications": [
        {
            "group": "student",
            "expires_on": "2026-03-18"
        },
        {
            "group": "key-worker",
            "expires_on": "2026-04-28"
        }
      ]
    }
    ```
  </Tab>

  <Tab title="Not Verified">
    The user has no active verifications.

    ```
    {
      "sbid_number": "ABC45FG",
      "verifications": []
    }
    ```

    <Info>
      We will typically only redirect a user back to you when they have successfully verified with the group they have selected, or if they are already verified. However, if you are still using an access token granted in the past, a user's verifications may have expired, or they may have a new verification pending. In these cases, those verifications will not be included in the API response.
    </Info>
  </Tab>
</Tabs>
